MKALIAS(8)

NAME
mkalias - a NIS map conversion program

SYNOPSIS
mkalias [-deEnsuv] input [output]

DESCRIPTION
mkalias is used to convert a mail.aliases map to a mail.byaddr map. This is a inverse map of user@host (or user!host) back to alias.

mkalias uses input as the input map, and if output is given, use that as the output map. If the output map isn't given don't create database. This can be useful when -e or -E is given.

The options are as follows:

-d  Assume domain names are OK. Only useful together with -e or -E.

-e  Check host to verify that it exists.

-E  Same as -e, but also check for any MX-record.

-n  Capitalize name. E.g., mats.o.jansson becomes Mats.O.Jansson.

-u  Assume UUCP names are OK. Only useful together with -e or -E.

-s  Ignored (only provided for compatibility with SunOS 4.1.x).

-v  Verbose mode.

SEE ALSO
nis(8), ypserv(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>